<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: PGT storage in a database</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PGT storage in a database<br/>
<small>
[<a class="el" href="group__internal_p_g_t_storage.html">PGT storage</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_p_g_t_storage_d_b.html">PGTStorageDB</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga575f11acae3d34154359ce3e800ac501">PGTStorageDB::getURL</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#gaf8aabf7483216d32482502e3e3e567b8">PGTStorageDB::getLink</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga1744cefdc84ee1c4568aa97468a9a62d">PGTStorageDB::getTable</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga7308e1c19eea89d61f4cc0117f28cca5">PGTStorageDB::getStorageType</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga08688e74edbccefdff0033c1b7eb30a0">PGTStorageDB::getStorageInfo</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#gaad7a7a2502e4c58602f142fdf1bf058b">PGTStorageDB::PGTStorageDB</a> ($cas_parent, $user, $password, $database_type, $hostname, $port, $database, $table)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga30a95297b215c8e290405536dade24cd">PGTStorageDB::init</a> ()</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga2c3c5c3fa2147648cf0836eb18ecc84c">PGTStorageDB::$_url</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#ga36cc33772b984aba823da1e3f2ee92af">PGTStorageDB::$_link</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_d_b.html#gaf32637f66bed3bbb439b38eac0db5566">PGTStorageDB::$_table</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaf8aabf7483216d32482502e3e3e567b8"></a><!-- doxytag: member="PGTStorageDB::getLink" ref="gaf8aabf7483216d32482502e3e3e567b8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::getLink </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the handle of the connection to the database where PGT's are stored.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a handle of connection. </dd></dl>

</div>
</div>
<a class="anchor" id="ga08688e74edbccefdff0033c1b7eb30a0"></a><!-- doxytag: member="PGTStorageDB::getStorageInfo" ref="ga08688e74edbccefdff0033c1b7eb30a0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::getStorageInfo </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns an informational string giving informations on the parameters of the storage.(used for debugging purposes). </p>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#ga424a5265cde843c651792a41ed9938bb">PGTStorage</a>.</p>

</div>
</div>
<a class="anchor" id="ga7308e1c19eea89d61f4cc0117f28cca5"></a><!-- doxytag: member="PGTStorageDB::getStorageType" ref="ga7308e1c19eea89d61f4cc0117f28cca5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::getStorageType </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns an informational string giving the type of storage used by the object (used for debugging purposes).</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>an informational string. </dd></dl>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#gaab68db1fc471c7015ed776848c8becb6">PGTStorage</a>.</p>

</div>
</div>
<a class="anchor" id="ga1744cefdc84ee1c4568aa97468a9a62d"></a><!-- doxytag: member="PGTStorageDB::getTable" ref="ga1744cefdc84ee1c4568aa97468a9a62d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::getTable </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the name of the table where PGT's are stored.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the name of a table. </dd></dl>

</div>
</div>
<a class="anchor" id="ga575f11acae3d34154359ce3e800ac501"></a><!-- doxytag: member="PGTStorageDB::getURL" ref="ga575f11acae3d34154359ce3e800ac501" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::getURL </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the PEAR DB URL to use to connect to the database.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a PEAR DB URL </dd></dl>

</div>
</div>
<a class="anchor" id="ga30a95297b215c8e290405536dade24cd"></a><!-- doxytag: member="PGTStorageDB::init" ref="ga30a95297b215c8e290405536dade24cd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::init </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to initialize the storage. Halts on error. </p>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#gadda668067cd9c3a7e42cf74b2a7d481a">PGTStorage</a>.</p>

</div>
</div>
<a class="anchor" id="gaad7a7a2502e4c58602f142fdf1bf058b"></a><!-- doxytag: member="PGTStorageDB::PGTStorageDB" ref="gaad7a7a2502e4c58602f142fdf1bf058b" args="($cas_parent, $user, $password, $database_type, $hostname, $port, $database, $table)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::PGTStorageDB </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cas_parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>password</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>database_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>hostname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>table</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The class constructor, called by CASClient::SetPGTStorageDB().</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$cas_parent</em>&nbsp;</td><td>the <a class="el" href="class_c_a_s_client.html">CASClient</a> instance that creates the object. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$user</em>&nbsp;</td><td>the user to access the data with </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$password</em>&nbsp;</td><td>the user's password </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$database_type</em>&nbsp;</td><td>the type of the database hosting the data </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$hostname</em>&nbsp;</td><td>the server hosting the database </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$port</em>&nbsp;</td><td>the port the server is listening on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$database</em>&nbsp;</td><td>the name of the database </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$table</em>&nbsp;</td><td>the name of the table storing the data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga36cc33772b984aba823da1e3f2ee92af"></a><!-- doxytag: member="PGTStorageDB::$_link" ref="ga36cc33772b984aba823da1e3f2ee92af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::$_link<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The handle of the connection to the database where PGT's are stored. Written by <a class="el" href="group__internal_p_g_t_storage_d_b.html#ga30a95297b215c8e290405536dade24cd">PGTStorageDB::init()</a>, read by <a class="el" href="group__internal_p_g_t_storage_d_b.html#gaf8aabf7483216d32482502e3e3e567b8">getLink()</a>. </p>

</div>
</div>
<a class="anchor" id="gaf32637f66bed3bbb439b38eac0db5566"></a><!-- doxytag: member="PGTStorageDB::$_table" ref="gaf32637f66bed3bbb439b38eac0db5566" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::$_table<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The name of the table where PGT's are stored. Written by <a class="el" href="group__internal_p_g_t_storage_d_b.html#gaad7a7a2502e4c58602f142fdf1bf058b">PGTStorageDB::PGTStorageDB()</a>, read by <a class="el" href="group__internal_p_g_t_storage_d_b.html#ga1744cefdc84ee1c4568aa97468a9a62d">getTable()</a>. </p>

</div>
</div>
<a class="anchor" id="ga2c3c5c3fa2147648cf0836eb18ecc84c"></a><!-- doxytag: member="PGTStorageDB::$_url" ref="ga2c3c5c3fa2147648cf0836eb18ecc84c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageDB::$_url<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>a string representing a PEAR DB URL to connect to the database. Written by <a class="el" href="group__internal_p_g_t_storage_d_b.html#gaad7a7a2502e4c58602f142fdf1bf058b">PGTStorageDB::PGTStorageDB()</a>, read by <a class="el" href="group__internal_p_g_t_storage_d_b.html#ga575f11acae3d34154359ce3e800ac501">getURL()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
